from erp.models import Estoque, FAQ, Loja, Imagemestoque, Cart, Profile
from erp.assets.variables import Variables

#Funcoes usadas para gerar context variables

#Gera as variavies de contexto para montar o header do site nas views
def generate_template_header_context(request):
    #Need to make sure user is logged
    if request.user.is_authenticated:
        cart_items = Cart.objects.filter(user=request.user)
        itens_no_cart = cart_items.count()
    else:
        itens_no_cart = 0
        
    loja_data = Loja.objects.first()
    vars = Variables()
    response = {
        "itens_no_cart": itens_no_cart,
        "loja_data": loja_data,
        "vars" : vars,
    }
    return response

